Subject: Old topic: no server in chooser, plus dual NIC issues

From: paul beard <[email-masked]>
Date: Tue, 6 Feb 2001 23:31:28 -0800 (PST)

I just crawled thru all the messages on this and can't find an answer yet. I
have some related questions on how exactly you configure this beast. 

Problem #1: 
Here's what I have: 1.4b2+asun2.1.3, on redhat 7.0. Like many others, I see no
resources in my chooser, though I can log in via IP address. 

In afpd.conf:
blue -notcp -ddp -guest -loginmesg "Welcome, friend"

This serves to disable TCP/IP just fine, but appletalk doesn't work either. So
it's not too happy. setting the notcp to tcp or transall allows me to login. 

Problem #2: 
I have 2 NICs, with the one I don't bound to appletalk invariably so. 

since atalk.conf gets overwritten with each restart -- not mentioned in the
docs -- I can't simply put "eth1" in that file. 

Here's some syslog droppings. 
Feb  6 23:25:02 gateway atalkd[11295]: config for no router
Feb  6 23:25:03 gateway atalkd[11295]: ready 0/0/0
Feb  6 23:25:03 gateway atalk: atalkd startup succeeded
Feb  6 23:25:16 gateway papd[11315]: restart (1.4b2+asun2.1.3)
Feb  6 23:25:16 gateway atalk: papd startup succeeded
Feb  6 23:25:16 gateway atalk: afpd startup succeeded
Feb  6 23:25:22 gateway afpd[11325]: blue:AFPServer@* started on 65280.241:254
(1.4b2+asun2.1.3)
Feb  6 23:25:22 gateway afpd[11325]: ASIP started on 192.168.2.1:548(2)
(1.4b2+asun2.1.3) 
Feb  6 23:25:25 gateway afpd[11327]: ASIP session:548(2) from
192.168.2.4:28730(0)
Feb  6 23:25:25 gateway afpd[11325]: server_child[1] 11327 done
Feb  6 23:25:30 gateway afpd[11328]: ASIP session:548(2) from
192.168.2.4:28731(0)
Feb  6 23:25:30 gateway PAM_unix[11328]: (system-auth) session opened for user
paul by (uid=0)
Feb  6 23:25:31 gateway afpd[11328]: 0.18KB read, 0.14KB written
Feb  6 23:25:31 gateway afpd[11325]: server_child[1] 11328 done

I am loading appletalk: 
[root@blue atalk]# lsmod | grep apple
appletalk              18016  11  (autoclean)

[root@blue atalk]# dmesg | grep Talk 
NET4: AppleTalk 0.18 for Linux NET4.0

nbplkup works. 
                           blue:AFPServer                         
65280.241:254
                           blue:netatalk                           65280.241:4
                           blue:Workstation                        65280.241:4
                           pink:Darwin                             65365.60:128

[root@blue atalk]# getzones (doesn't)
atp_rresp: Connection timed out

Help? 

=====
--
Paul Beard
8040 27th Ave NE / Seattle WA 98115
206 529 8400 / 713 5671 (cell)

__________________________________________________
Do You Yahoo!?
Yahoo! Auctions - Buy the things you want at great prices.
http://auctions.yahoo.com/